<div align="center">
    <img src="https://github.com/xhiveframework/design/blob/master/logos/logo-2019/xhiveframework-charts-logo.png" height="128">
    <a href="https://xhiveframework.github.io/charts">
        <h2>XhiveFramework Charts</h2>
    </a>
    <p align="center">
        <p>GitHub-inspired modern, intuitive and responsive charts with zero dependencies</p>
        <a href="https://xhiveframework.com/charts">
            <b>Explore Demos » </b>
        </a>
        <a href="https://codesandbox.io/s/xhiveframework-charts-demo-viqud">
            <b> Edit at CodeSandbox »</b>
        </a>
        <a href="https://xhiveframework.com/charts/docs">
            <b>Documentation » </b>
        </a>
    </p>
</div>

<p align="center">
    <a href="https://bundlephobia.com/result?p=xhiveframework-charts">
        <img src="https://img.shields.io/bundlephobia/minzip/xhiveframework-charts">
    </a>
</p>

<p align="center">
    <a href="https://xhiveframework.github.io/charts">
        <img src=".github/example.gif">
    </a>
</p>

### Contents
* [Installation](#installation)
* [Usage](#usage)
* [Contribute](https://xhiveframework.com/charts/docs/contributing)
* [License](#license)

#### Installation

##### Via NPM
Install via [`npm`](https://www.npmjs.com/get-npm):

```sh
$ npm install xhiveframework-charts
```

and include in your project:
```js
import { Chart } from "xhiveframework-charts"
```

Or include following for es-modules(eg:vuejs):
```js
import { Chart } from 'xhiveframework-charts/dist/xhiveframework-charts.esm.js'
// import css
import 'xhiveframework-charts/dist/xhiveframework-charts.min.css'
```

##### or include within your HTML

```html
<script src="https://cdn.jsdelivr.net/npm/xhiveframework-charts@1.6.1/dist/xhiveframework-charts.min.umd.js"></script>
<!-- or -->
<script src="https://unpkg.com/xhiveframework-charts@1.6.1/dist/xhiveframework-charts.min.umd.js"></script>
```

#### Usage
```js
const data = {
    labels: ["12am-3am", "3am-6pm", "6am-9am", "9am-12am",
        "12pm-3pm", "3pm-6pm", "6pm-9pm", "9am-12am"
    ],
    datasets: [
        {
            name: "Some Data", chartType: "bar",
            values: [25, 40, 30, 35, 8, 52, 17, -4]
        },
        {
            name: "Another Set", chartType: "line",
            values: [25, 50, -10, 15, 18, 32, 27, 14]
        }
    ]
}

const chart = new xhiveframework.Chart("#chart", {  // or a DOM element,
                                            // new Chart() in case of ES6 module with above usage
    title: "My Awesome Chart",
    data: data,
    type: 'axis-mixed', // or 'bar', 'line', 'scatter', 'pie', 'percentage'
    height: 250,
    colors: ['#7cd6fd', '#743ee2']
})
```

Or for es-modules (replace `new xhiveframework.Chart()` with `new Chart()`):
```diff
- const chart = new xhiveframework.Chart("#chart", {
+ const chart = new Chart("#chart", {  // or a DOM element,
                                    // new Chart() in case of ES6 module with above usage
    title: "My Awesome Chart",
    data: data,
    type: 'axis-mixed', // or 'bar', 'line', 'scatter', 'pie', 'percentage'
    height: 250,
    colors: ['#7cd6fd', '#743ee2']
})
```


If you want to contribute:

1. Clone this repo.
2. `cd` into project directory
3. `npm install`
4. `npm run dev`

#### License
This repository has been released under the [MIT License](LICENSE)

------------------
